Loading...
Searching...
No Matches
StatisticsAlgorithmFactory.h File Reference
`#include <casacore/scimath/Mathematics/NumericTraits.h>`
`#include <casacore/scimath/StatsFramework/StatisticsAlgorithm.h>`
`#include <casacore/scimath/StatsFramework/StatisticsAlgorithmFactoryData.h>`
`#include <casacore/scimath/StatsFramework/StatisticsData.h>`

Go to the source code of this file.

## Classes

class | casacore::StatisticsAlgorithmFactory< AccumType, DataIterator, MaskIterator, WeightsIterator >
| Provides a single interface for creation of stats algorithm objects. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines